function ssc_preload(ss,j) {
var n=ssc[ss][j];
if(n) {
n.image = new Image();
n.image.src = n.src;
n.image.onload = function() {ssc_preload(ss,++j);};
}
}
function ssc_previous(ss) {
if(!ssc[ss][--ssc[ss].current]) ssc[ss].current=ssc[ss].total;
ssc_blend(ss);
}
function ssc_next(ss) {
if(!ssc[ss][++ssc[ss].current]) ssc[ss].current=1;
ssc_blend(ss);
}
function ssc_change_opac(ss,opacity){
var obj=document.getElementById('ssc-image:'+ss);
obj.style.opacity=opacity;
obj.style.MozOpacity=opacity;
}
function ssc_blend(ss){
if (ssc[ss].rotate>0) {clearTimeout(ssc[ss].timeout["a1"]);}
if (ssc[ss].blend){
for(i=0;i<=100;i+=1)  {
bla=(100-i*2)/101;
if (i>50) bla=(i*2-100)/101;
clearTimeout(ssc[ss].timeout[i]);
ssc[ss].timeout[i]=setTimeout("ssc_change_opac('"+ss+"',"+bla+")", i*ssc[ss].blend);
}
clearTimeout(ssc[ss].timeout[1000]);
ssc[ss].timeout[1000]=setTimeout("ssc_update('"+ss+"')", 50*ssc[ss].blend);
}
else {ssc_update(ss);}
}
function ssc_update(ss) {
var obj=ssc[ss][ssc[ss].current];
var cur=document.getElementById('ssc-current:'+ss);
var dec=document.getElementById('ssc-description:'+ss);
var img=document.getElementById('ssc-image:'+ss);
var link_img=document.getElementById('ssc-link-image:'+ss);
var link_tit=document.getElementById('ssc-link-image:'+ss);
var tit=document.getElementById('ssc-title:'+ss);
dec.innerHTML=obj.description;
img.src=obj.src;
img.alt=obj.title;
tit.innerHTML=obj.title;
if(cur) cur.innerHTML=ssc[ss].current;
if(link_img) link_img.href=obj.link;
if(link_img) link_img.target=obj.target;
if(link_tit) link_tit.href=obj.link;
if (ssc[ss].rotate>0) ssc[ss].timeout["a1"] = setTimeout("ssc_next('"+ss+"')",ssc[ss].rotate*1000);
}
function ssc_init() {
ssc=Drupal.settings.ssc;
if (!ssc) return;
for (ss in ssc){
ssc_preload(ss,1);
obj = document.getElementById('ssc-previous:'+ss);
if(obj) obj.onclick = function(){ssc_previous(this.id.replace(/ssc-previous:/,"")); return false;};
obj = document.getElementById('ssc-next:'+ss);
if(obj) obj.onclick = function(){ssc_next(this.id.replace(/ssc-next:/,"")); return false;};
obj = document.getElementById('ssc-image:'+ss);
obj.onmouseover = function() {
ss=this.id.replace(/ssc-image:/,"");
if (ssc[ss].rotate>0) clearTimeout(ssc[ss].timeout["a1"]);
};
obj.onmouseout = function() {
ss=this.id.replace(/ssc-image:/,"");
if (ssc[ss].rotate>0) ssc[ss].timeout["a1"]=setTimeout("ssc_next('"+ss+"')",ssc[ss].rotate*1000);
};
if (ssc[ss].blend>ssc[ss].rotate) ssc[ss].blend=ssc[ss].rotate;;
if (ssc[ss].rotate>0) ssc[ss].timeout["a1"]=setTimeout("ssc_next('"+ss+"')",ssc[ss].rotate*1000);
}
}
if(isJsEnabled()) {addLoadEvent(ssc_init);}